/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package db.entidades;


import java.util.Date;
import java.util.List;

/**
 *
 * @author lluis
 */
public class Risco {
    private Integer id;
    private Integer area_id;
    private String descricao;
    private String activo;
    //private Valor valor;
    private Integer valor;
    private String responsavel_execucao;
    private String por;
    private String recursos_necessarios;
    private Date data_inicio;
    private Date data_fim;  
    private Integer risco_id;
    private String parecer_dns;
    private String parecer_dl;
    private String verificacao_siprp;    
    
    private List<Valor> valores;
    private List<Medida> medidas;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDescricao() {
        return descricao;
    }

    public void setDescricao(String descricao) {
        this.descricao = descricao;
    }

    public String getActivo() {
        return activo;
    }

    public void setActivo(String activo) {
        this.activo = activo;
    }

    public Integer getArea_id() {
        return area_id;
    }

    public void setArea_id(Integer area_id) {
        this.area_id = area_id;
    }

//    public Valor getValor() {
//        return valor;
//    }
//
//    public void setValor(Valor valor) {
//        this.valor = valor;
//    }

    public List<Medida> getMedidas() {
        return medidas;
    }

    public void setMedidas(List<Medida> medidas) {
        this.medidas = medidas;
    }

    public List<Valor> getValores() {
        return valores;
    }

    public void setValores(List<Valor> valores) {
        this.valores = valores;
    }

    public String getResponsavel_execucao() {
        return responsavel_execucao;
    }

    public void setResponsavel_execucao(String responsavel_execucao) {
        this.responsavel_execucao = responsavel_execucao;
    }

    public String getRecursos_necessarios() {
        return recursos_necessarios;
    }

    public void setRecursos_necessarios(String recursos_necessarios) {
        this.recursos_necessarios = recursos_necessarios;
    }

    public Date getData_inicio() {
        return data_inicio;
    }

    public void setData_inicio(Date data_inicio) {
        this.data_inicio = data_inicio;
    }

    public Date getData_fim() {
        return data_fim;
    }

    public void setData_fim(Date data_fim) {
        this.data_fim = data_fim;
    }

    public String getParecer_dns() {
        return parecer_dns;
    }

    public void setParecer_dns(String parecer_dns) {
        this.parecer_dns = parecer_dns;
    }

    public String getParecer_dl() {
        return parecer_dl;
    }

    public void setParecer_dl(String parecer_dl) {
        this.parecer_dl = parecer_dl;
    }

    public String getVerificacao_siprp() {
        return verificacao_siprp;
    }

    public void setVerificacao_siprp(String verificacao_siprp) {
        this.verificacao_siprp = verificacao_siprp;
    }

    public Integer getValor() {
        return valor;
    }

    public void setValor(Integer valor) {
        this.valor = valor;
    }

    public Integer getRisco_id() {
        return risco_id;
    }

    public void setRisco_id(Integer risco_id) {
        this.risco_id = risco_id;
    }

    /**
     * @return the por
     */
    public String getPor() {
        return por;
    }

    /**
     * @param por the por to set
     */
    public void setPor(String por) {
        this.por = por;
    }

}
